summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
Diffstat (limited to 'games')
-rw-r--r--games/robotfindskitten/robotfindskitten.SlackBuild15
-rw-r--r--games/robotfindskitten/robotfindskitten.info2
2 files changed, 13 insertions, 4 deletions
diff --git a/games/robotfindskitten/robotfindskitten.SlackBuild b/games/robotfindskitten/robotfindskitten.SlackBuild
index 2e655ffdb7..85f66ca4f6 100644
--- a/games/robotfindskitten/robotfindskitten.SlackBuild
+++ b/games/robotfindskitten/robotfindskitten.SlackBuild
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -42,18 +45,22 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--bindir=/usr/games\
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --infodir=/usr/info
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -72,4 +79,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/robotfindskitten/robotfindskitten.info b/games/robotfindskitten/robotfindskitten.info
index 29c36bd933..5fe3f8b331 100644
--- a/games/robotfindskitten/robotfindskitten.info
+++ b/games/robotfindskitten/robotfindskitten.info
@@ -2,7 +2,9 @@ PRGNAM="robotfindskitten"
VERSION="1.7320508.406"
HOMEPAGE="http://robotfindskitten.org"
DOWNLOAD="http://downloads.sourceforge.net/rfk/robotfindskitten-1.7320508.406.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="6b9cf314ffee0de52ed85ac5ba11d66b"
+MD5SUM_x86_64=""
MAINTAINER="Josiah Boothby"
EMAIL="josiahb@gmail.com"
APPROVED="dsomero"